net.dontdrinkandroot.visualization.layout

## Class WordCloudLayout<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.RectanglePacking<T>
  - - net.dontdrinkandroot.visualization.layout.WordCloudLayout<T>

All Implemented Interfaces:
  Layout<T>

    public class WordCloudLayout<T>
    extends RectanglePacking<T>

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.layout.RectanglePacking

`spaces`

### Constructor Summary

Constructors
Constructor and Description
`WordCloudLayout(Collection<T> items, org.apache.commons.collections15.Transformer<T,GlyphedOutlineFontItem> itemTransform)`
`WordCloudLayout(Collection<T> items, org.apache.commons.collections15.Transformer<T,GlyphedOutlineFontItem> itemTransform, double heightwidthratio)`

### Method Summary

Methods
`void` `computeNewSpaces(AbstractVisualItem item)`

### Methods inherited from class net.dontdrinkandroot.visualization.layout.RectanglePacking

`getBounds, getMargin, isLayouted, layout, render, setMargin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WordCloudLayout

    public WordCloudLayout(Collection<T> items,
                   org.apache.commons.collections15.Transformer<T,GlyphedOutlineFontItem> itemTransform)

#### WordCloudLayout

    public WordCloudLayout(Collection<T> items,
                   org.apache.commons.collections15.Transformer<T,GlyphedOutlineFontItem> itemTransform,
                   double heightwidthratio)

### Method Detail

#### computeNewSpaces

    public void computeNewSpaces(AbstractVisualItem item)

Overrides:
  `computeNewSpaces` in class `RectanglePacking<T>`